Index: DefaultJScriptingComposer.java
===================================================================
--- DefaultJScriptingComposer.java	(revision 1065)
+++ DefaultJScriptingComposer.java	(revision 1066)
@@ -93,7 +93,7 @@
 import org.gvsig.scripting.swing.impl.DefaultScriptingUIManager;
 import org.gvsig.scripting.swing.impl.JDialogContent;
 import org.gvsig.scripting.swing.impl.composer.DefaultJScriptingComposer.DefaultProblems.ProblemsTableMode.DefaultProblem;
-import org.gvsig.scripting.swing.impl.composer.editors.ScriptEditor;
+import org.gvsig.scripting.swing.impl.composer.editors.ScriptUnitEditor;
 import org.gvsig.tools.ToolsLocator;
 import org.gvsig.tools.i18n.I18nManager;
 import org.gvsig.tools.observer.Observable;
@@ -115,7 +115,7 @@
      */
     private static final long serialVersionUID = 1L;
 
-    private static final Logger logger = LoggerFactory.getLogger(DefaultJScriptingComposer.class);
+    private static final Logger LOGGER = LoggerFactory.getLogger(DefaultJScriptingComposer.class);
 
     public static final int CLOSE_ACTION = 1;
 
@@ -146,6 +146,7 @@
 
         private static final long serialVersionUID = -7353913671104893812L;
 
+        @SuppressWarnings("OverridableMethodCallInConstructor")
         public GoToLineAction() {
             super(uimanager.getTranslation("go_to_line_Xhorizontal_ellipsisX"));
             int c = getToolkit().getMenuShortcutKeyMask();
@@ -186,6 +187,7 @@
 
         private static final long serialVersionUID = -7840632153011361661L;
 
+        @SuppressWarnings("OverridableMethodCallInConstructor")
         public ShowFindDialogAction() {
             super(uimanager.getTranslation("find_Xhorizontal_ellipsisX"));
             int c = getToolkit().getMenuShortcutKeyMask();
@@ -212,6 +214,7 @@
 
         private static final long serialVersionUID = 7209167803487996060L;
 
+        @SuppressWarnings("OverridableMethodCallInConstructor")
         public ShowReplaceDialogAction() {
             super(uimanager.getTranslation("replace_Xhorizontal_ellipsisX"));
             int c = getToolkit().getMenuShortcutKeyMask();
@@ -238,6 +241,7 @@
 
         private static final long serialVersionUID = 6257776255757689286L;
 
+        @SuppressWarnings("OverridableMethodCallInConstructor")
         public LauncherAction() {
             super(uimanager.getTranslation("Launcher"));
             putValue(ACTION_COMMAND_KEY, "ShowLauncher");
@@ -258,9 +262,10 @@
 
         private static final long serialVersionUID = 2725549699989067383L;
 
+        @SuppressWarnings("OverridableMethodCallInConstructor")
         public SelectAllAction() {
             super(uimanager.getTranslation("Select_all"));
-            putValue(Action.SMALL_ICON, uimanager.getIcon("edit-select-all"));
+            putValue(Action.SMALL_ICON, uimanager.getIcon("scripting-edit-select-all"));
             putValue(Action.SHORT_DESCRIPTION, uimanager.getTranslation("Select_all"));
             putValue(ACTION_COMMAND_KEY, "DocumentSelectAll");
         }
@@ -282,9 +287,10 @@
 
         private static final long serialVersionUID = 8020393562984016720L;
 
+        @SuppressWarnings("OverridableMethodCallInConstructor")
         public PackageScriptAction() {
             super(uimanager.getTranslation("_Package_script"));
-            putValue(Action.SMALL_ICON, uimanager.getIcon("package"));
+            putValue(Action.SMALL_ICON, uimanager.getIcon("scripting-package"));
             putValue(ACTION_COMMAND_KEY, "PackageScript");
         }
 
@@ -299,9 +305,10 @@
 
         private static final long serialVersionUID = -4928359535828269502L;
 
+        @SuppressWarnings("OverridableMethodCallInConstructor")
         public AboutAction() {
             super(uimanager.getTranslation("About_scripts_editor"));
-            putValue(Action.SMALL_ICON, uimanager.getIcon("about"));
+            putValue(Action.SMALL_ICON, uimanager.getIcon("scripting-about"));
             putValue(Action.SHORT_DESCRIPTION, uimanager.getTranslation("About_scripts_editor"));
             putValue(ACTION_COMMAND_KEY, "About");
         }
@@ -321,9 +328,10 @@
 
         private static final long serialVersionUID = -8549655706085425411L;
 
+        @SuppressWarnings("OverridableMethodCallInConstructor")
         public CutAction() {
             super(uimanager.getTranslation("Cut"));
-            putValue(Action.SMALL_ICON, uimanager.getIcon("edit-cut"));
+            putValue(Action.SMALL_ICON, uimanager.getIcon("scripting-edit-cut"));
             putValue(Action.SHORT_DESCRIPTION, uimanager.getTranslation("Cut"));
             putValue(ACTION_COMMAND_KEY, "DocumentCut");
         }
@@ -345,9 +353,10 @@
 
         private static final long serialVersionUID = -6870773810752024874L;
 
+        @SuppressWarnings("OverridableMethodCallInConstructor")
         public CopyAction() {
             super(uimanager.getTranslation("Copy"));
-            putValue(Action.SMALL_ICON, uimanager.getIcon("edit-copy"));
+            putValue(Action.SMALL_ICON, uimanager.getIcon("scripting-edit-copy"));
             putValue(Action.SHORT_DESCRIPTION, uimanager.getTranslation("Copy"));
             putValue(ACTION_COMMAND_KEY, "DocumentCopy");
         }
@@ -369,9 +378,10 @@
 
         private static final long serialVersionUID = -5829551248494873061L;
 
+        @SuppressWarnings("OverridableMethodCallInConstructor")
         public PasteAction() {
             super(uimanager.getTranslation("Paste"));
-            putValue(Action.SMALL_ICON, uimanager.getIcon("edit-paste"));
+            putValue(Action.SMALL_ICON, uimanager.getIcon("scripting-edit-paste"));
             putValue(Action.SHORT_DESCRIPTION, uimanager.getTranslation("Paste"));
             putValue(ACTION_COMMAND_KEY, "DocumentPaste");
         }
@@ -393,9 +403,10 @@
 
         private static final long serialVersionUID = 9165363564675325925L;
 
+        @SuppressWarnings("OverridableMethodCallInConstructor")
         public ExitAction() {
             super(uimanager.getTranslation("Close"));
-            putValue(Action.SMALL_ICON, uimanager.getIcon("exit"));
+            putValue(Action.SMALL_ICON, uimanager.getIcon("scripting-exit"));
             putValue(Action.SHORT_DESCRIPTION, uimanager.getTranslation("Close"));
             putValue(ACTION_COMMAND_KEY, "CloseComposer");
         }
@@ -416,11 +427,12 @@
 
         private static final long serialVersionUID = -870379961486387727L;
 
+        @SuppressWarnings("OverridableMethodCallInConstructor")
         public SaveAction() {
             super(uimanager.getTranslation("Save"));
             int c = getToolkit().getMenuShortcutKeyMask();
             putValue(Action.ACCELERATOR_KEY, KeyStroke.getKeyStroke(KeyEvent.VK_S, c));
-            putValue(Action.SMALL_ICON, uimanager.getIcon("doc-save"));
+            putValue(Action.SMALL_ICON, uimanager.getIcon("scripting-doc-save"));
             putValue(Action.SHORT_DESCRIPTION, uimanager.getTranslation("Save"));
             putValue(ACTION_COMMAND_KEY, "DocumentSave");
         }
@@ -441,11 +453,12 @@
 
         private static final long serialVersionUID = 4851968883766990149L;
 
+        @SuppressWarnings("OverridableMethodCallInConstructor")
         public RunAction() {
             super(uimanager.getTranslation("Run"));
             int c = getToolkit().getMenuShortcutKeyMask();
 //            putValue(Action.ACCELERATOR_KEY, KeyStroke.getKeyStroke(KeyEvent.VK_F5, 0));
-            putValue(Action.SMALL_ICON, uimanager.getIcon("run"));
+            putValue(Action.SMALL_ICON, uimanager.getIcon("scripting-run"));
             putValue(Action.SHORT_DESCRIPTION, uimanager.getTranslation("Run"));
             putValue(ACTION_COMMAND_KEY, "DocumentRun");
         }
@@ -466,11 +479,12 @@
 
         private static final long serialVersionUID = 4851968883766990149L;
 
+        @SuppressWarnings("OverridableMethodCallInConstructor")
         public SaveAndRunAction() {
             super(uimanager.getTranslation("Save and run"));
             int c = getToolkit().getMenuShortcutKeyMask();
             putValue(Action.ACCELERATOR_KEY, KeyStroke.getKeyStroke(KeyEvent.VK_F5, 0));
-            putValue(Action.SMALL_ICON, uimanager.getIcon("save_and_run"));
+            putValue(Action.SMALL_ICON, uimanager.getIcon("scripting-save-and-run"));
             putValue(Action.SHORT_DESCRIPTION, uimanager.getTranslation("Save and run"));
             putValue(ACTION_COMMAND_KEY, "DocumentSaveAndRun");
         }
@@ -492,9 +506,10 @@
 
         private static final long serialVersionUID = 3385142920283598457L;
 
+        @SuppressWarnings("OverridableMethodCallInConstructor")
         public CloseAllAction() {
             super(uimanager.getTranslation("Close_all_documents"));
-            putValue(Action.SMALL_ICON, uimanager.getIcon("doc-closeall"));
+            putValue(Action.SMALL_ICON, uimanager.getIcon("scripting-doc-closeall"));
             putValue(Action.SHORT_DESCRIPTION, uimanager.getTranslation("Close_all_documents"));
             putValue(ACTION_COMMAND_KEY, "CloseAll");
         }
@@ -516,9 +531,10 @@
 
         private static final long serialVersionUID = 4152188500446249755L;
 
+        @SuppressWarnings("OverridableMethodCallInConstructor")
         public CloseDocumentAction() {
             super(uimanager.getTranslation("Close_document"));
-            putValue(Action.SMALL_ICON, uimanager.getIcon("doc-close"));
+            putValue(Action.SMALL_ICON, uimanager.getIcon("scripting-doc-close"));
             putValue(Action.SHORT_DESCRIPTION, uimanager.getTranslation("Close_current_tab"));
             putValue(ACTION_COMMAND_KEY, "DocumentClose");
         }
@@ -540,9 +556,10 @@
 
         private static final long serialVersionUID = -7545333555439711068L;
 
+        @SuppressWarnings("OverridableMethodCallInConstructor")
         public ShowConsoleAction() {
             super(uimanager.getTranslation("Console"));
-            putValue(Action.SMALL_ICON, uimanager.getIcon("show-console"));
+            putValue(Action.SMALL_ICON, uimanager.getIcon("scripting-show-console"));
             putValue(Action.SHORT_DESCRIPTION, uimanager.getTranslation("Show_console_panel"));
             putValue(ACTION_COMMAND_KEY, "ShowConsole");
         }
@@ -557,9 +574,10 @@
 
         private static final long serialVersionUID = 5276964996914550830L;
 
+        @SuppressWarnings("OverridableMethodCallInConstructor")
         public ShowProblemsAction() {
             super(uimanager.getTranslation("Problems"));
-            putValue(Action.SMALL_ICON, uimanager.getIcon("show-problems"));
+            putValue(Action.SMALL_ICON, uimanager.getIcon("scripting-show-problems"));
             putValue(Action.SHORT_DESCRIPTION, uimanager.getTranslation("Show_problems_panel"));
             putValue(ACTION_COMMAND_KEY, "ShowProblems");
         }
@@ -574,9 +592,10 @@
 
         private static final long serialVersionUID = 5873598740133693862L;
 
+        @SuppressWarnings("OverridableMethodCallInConstructor")
         public ShowProjectsAction() {
             super(uimanager.getTranslation("Projects"));
-            putValue(Action.SMALL_ICON, uimanager.getIcon("show-projects"));
+            putValue(Action.SMALL_ICON, uimanager.getIcon("scripting-show-projects"));
             putValue(Action.SHORT_DESCRIPTION, uimanager.getTranslation("Show_projects_panel"));
             putValue(ACTION_COMMAND_KEY, "ShowProjects");
         }
@@ -591,9 +610,10 @@
 
         private static final long serialVersionUID = 7889613706183211620L;
 
+        @SuppressWarnings("OverridableMethodCallInConstructor")
         public NewDocumentAction() {
             super(uimanager.getTranslation("New"));
-            putValue(Action.SMALL_ICON, uimanager.getIcon("doc-add"));
+            putValue(Action.SMALL_ICON, uimanager.getIcon("scripting-doc-add"));
             putValue(Action.SHORT_DESCRIPTION, uimanager.getTranslation("New"));
             putValue(ACTION_COMMAND_KEY, "DocumentNew");
         }
@@ -603,7 +623,7 @@
             try {
                 scriptNew();
             } catch (Exception e1) {
-                logger.warn("Can't create a new document", e1);
+                LOGGER.warn("Can't create a new document", e1);
             }
         }
 
@@ -613,9 +633,10 @@
 
         private static final long serialVersionUID = 7889613706183211620L;
 
+        @SuppressWarnings("OverridableMethodCallInConstructor")
         public NewFolderAction() {
             super(uimanager.getTranslation("New folder"));
-            putValue(Action.SMALL_ICON, uimanager.getIcon("folder-add"));
+            putValue(Action.SMALL_ICON, uimanager.getIcon("scripting-folder-add"));
             putValue(Action.SHORT_DESCRIPTION, uimanager.getTranslation("New folder"));
             putValue(ACTION_COMMAND_KEY, "FolderNew");
         }
@@ -625,7 +646,7 @@
             try {
                 FolderNew();
             } catch (Exception e1) {
-                logger.warn("Can't create a new folder", e1);
+                LOGGER.warn("Can't create a new folder", e1);
             }
         }
 
@@ -635,9 +656,10 @@
 
         private static final long serialVersionUID = -3393464285985649074L;
 
+        @SuppressWarnings("OverridableMethodCallInConstructor")
         public ProjectEditAction() {
             super(uimanager.getTranslation("Edit"));
-            putValue(Action.SMALL_ICON, uimanager.getIcon("doc-edit"));
+            putValue(Action.SMALL_ICON, uimanager.getIcon("scripting-doc-edit"));
             putValue(Action.SHORT_DESCRIPTION, uimanager.getTranslation("Open_edition_mode"));
             putValue(ACTION_COMMAND_KEY, "DocumentEdit");
         }
@@ -646,11 +668,11 @@
         public void actionPerformed(ActionEvent e) {
             try {
                 ScriptingUnit selectedItem = getLauncherSelectedScript();
-                if (selectedItem instanceof ScriptingBaseScript) {
-                    scriptEdit((ScriptingBaseScript) selectedItem);
+                if( uimanager.hasEditor(selectedItem) ) {
+                    scriptEdit(selectedItem);
                 }
             } catch (Exception e1) {
-                logger.warn("Can't edit document", e1);
+                LOGGER.warn("Can't edit document", e1);
             }
         }
     }
@@ -659,9 +681,10 @@
 
         private static final long serialVersionUID = 1944121660002532563L;
 
+        @SuppressWarnings("OverridableMethodCallInConstructor")
         public ProjectRefreshAction() {
             super(uimanager.getTranslation("Refresh"));
-            putValue(Action.SMALL_ICON, uimanager.getIcon("refresh"));
+            putValue(Action.SMALL_ICON, uimanager.getIcon("scripting-refresh"));
             putValue(Action.SHORT_DESCRIPTION, uimanager.getTranslation("Refresh_directories"));
             putValue(ACTION_COMMAND_KEY, "ProjectsRefresh");
         }
@@ -677,9 +700,10 @@
 
         private static final long serialVersionUID = 7469858242486966790L;
 
+        @SuppressWarnings("OverridableMethodCallInConstructor")
         public ProjectRenameAction() {
             super(uimanager.getTranslation("Rename"));
-            putValue(Action.SMALL_ICON, uimanager.getIcon("doc-rename"));
+            putValue(Action.SMALL_ICON, uimanager.getIcon("scripting-doc-rename"));
             putValue(Action.SHORT_DESCRIPTION, uimanager.getTranslation("Set_file_properties"));
             putValue(ACTION_COMMAND_KEY, "Rename");
         }
@@ -689,7 +713,7 @@
             try {
                 scriptRename(getLauncherSelectedScript());
             } catch (Exception e1) {
-                logger.warn("Can't rename document", e1);
+                LOGGER.warn("Can't rename document", e1);
             }
         }
     }
@@ -698,9 +722,10 @@
 
         private static final long serialVersionUID = -8857101021126773295L;
 
+        @SuppressWarnings("OverridableMethodCallInConstructor")
         public ProjectMoveAction() {
             super(uimanager.getTranslation("Move"));
-            putValue(Action.SMALL_ICON, uimanager.getIcon("doc-move"));
+            putValue(Action.SMALL_ICON, uimanager.getIcon("scripting-doc-move"));
             putValue(Action.SHORT_DESCRIPTION, uimanager.getTranslation("Move_files"));
             putValue(ACTION_COMMAND_KEY, "Move");
         }
@@ -710,7 +735,7 @@
             try {
                 scriptMove(getLauncherSelectedScript());
             } catch (Exception e1) {
-                logger.warn("Can't move document", e1);
+                LOGGER.warn("Can't move document", e1);
             }
         }
     }
@@ -719,9 +744,10 @@
 
         private static final long serialVersionUID = 9039455504757742743L;
 
+        @SuppressWarnings("OverridableMethodCallInConstructor")
         public ProjectDeleteAction() {
             super(uimanager.getTranslation("Delete"));
-            putValue(Action.SMALL_ICON, uimanager.getIcon("doc-remove"));
+            putValue(Action.SMALL_ICON, uimanager.getIcon("scripting-doc-remove"));
             putValue(Action.SHORT_DESCRIPTION, uimanager.getTranslation("Delete_selected_script"));
             putValue(ACTION_COMMAND_KEY, "Delete");
         }
@@ -731,7 +757,7 @@
             try {
                 scriptDelete(getLauncherSelectedScript(), false);
             } catch (Exception e1) {
-                logger.warn("Can't delete document", e1);
+                LOGGER.warn("Can't delete document", e1);
             }
         }
     }
@@ -872,9 +898,9 @@
             public void stateChanged(ChangeEvent e) {
                 updateMenusAndTools();
                 try {
-                    ((ScriptEditor)((JTabbedPane)e.getSource()).getSelectedComponent()).getJTextComponent().requestFocusInWindow();
+                    ((ScriptUnitEditor)((JTabbedPane)e.getSource()).getSelectedComponent()).getJTextComponent().requestFocusInWindow();
                 } catch(Throwable th) {
-                    logger.debug("Can't set focus in the editor", th);
+                    LOGGER.debug("Can't set focus in the editor", th);
                 }
             }
         });
@@ -969,7 +995,7 @@
                 JMenuItem menu = menuBarHelper.add(entry.getText(), entry.getAction(), this);
                 entry.setComponent(menu);
             } catch(Throwable th) {
-                logger.warn("Can't add entry '"+entry.getName()+"' to the toolbar.", th);
+                LOGGER.warn("Can't add entry '"+entry.getName()+"' to the toolbar.", th);
             }
         }
 
@@ -979,7 +1005,7 @@
                 this.toolBar.add(button);
                 entry.setComponent(button);
             } catch(Throwable th) {
-                logger.warn("Can't add entry '"+entry.getName()+"' to the toolbar.", th);
+                LOGGER.warn("Can't add entry '"+entry.getName()+"' to the toolbar.", th);
             }
             
         }
@@ -1015,7 +1041,7 @@
                             scriptEdit(script);
                             panel = getDock().get(id);
                             if( panel == null ) {
-                                logger.warn("Can't load script '"+id+"'.");
+                                LOGGER.warn("Can't load script '"+id+"'.");
                                 return;
                             }
                         } 
@@ -1067,9 +1093,13 @@
                 BrowserActionEvent e2 = (BrowserActionEvent) e;
                 switch (e.getID()) {
                     case JScriptingBrowser.DEFAULT_ACTION:
-                        if( uimanager.hasEditor(e2.getUnit()) ) {
-                            scriptEdit(e2.getUnit());
+                        ScriptingUnit unit = e2.getUnit();
+                        if( unit instanceof ScriptingFolder ) {
+                            return;
                         }
+                        if( uimanager.hasEditor(unit) ) {
+                            scriptEdit(unit);
+                        }
                         break;
                     case JScriptingBrowser.DROPDOWN_ACTION:
                     case JScriptingBrowser.SELECTION_ACTION:
@@ -1128,6 +1158,7 @@
         this.changeEditorListeners.add(listener);
     }
     
+    @Override
     public void removeChangeEditorListener(ChangeListener listener) {
         if (this.changeEditorListeners == null) {
             return;
@@ -1503,6 +1534,7 @@
      * Función que ejecuta el ScriptingBaseScript de la pestaña actual
      *
      */
+    @SuppressWarnings("UseSpecificCatch")
     public void currentScriptExecute() {
         ScriptingScript script = this.getCurrentScript();
         if (script != null) {
@@ -1523,7 +1555,7 @@
                 script.compile();
                 script.runAsTask(null);
             } catch (Throwable e) {
-                logger.info("Can't execute script", e);
+                LOGGER.info("Can't execute script", e);
             }
         }
     }
@@ -1776,6 +1808,7 @@
             private final Font fontNormal;
             private final Font fontBold;
 
+            @SuppressWarnings("OverridableMethodCallInConstructor")
             public TabTitleComponent(String title, final ActionListener onclose) {
                 this.setOpaque(true);
                 this.label = new JLabel(title + " ");
@@ -1795,8 +1828,8 @@
                 this.button.setContentAreaFilled(false);
                 this.button.setCursor(new Cursor(Cursor.HAND_CURSOR));
                 this.button.setRolloverEnabled(true);
-                this.button.setIcon(uimanager.getIcon("tabclose-inactive"));
-                this.button.setRolloverIcon(uimanager.getIcon("tabclose-active"));
+                this.button.setIcon(uimanager.getIcon("scripting-tabclose-inactive"));
+                this.button.setRolloverIcon(uimanager.getIcon("scripting-tabclose-active"));
                 this.button.addActionListener(new ActionListener() {
                     @Override
                     public void actionPerformed(ActionEvent ae) {
@@ -1930,13 +1963,13 @@
                 }
 
                 public DefaultProblem(String type, String message, String resourceName, String location, File resource) {
-                    String[] row = new String[NUM_COLUMNS];
-                    row[COLUMN_TYPE] = type;
-                    row[COLUMN_MESSAGE] = message;
-                    row[COLUMN_RESOURCE] = resourceName;
-                    row[COLUMN_LOCATION] = location;
+                    String[] theRow = new String[NUM_COLUMNS];
+                    theRow[COLUMN_TYPE] = type;
+                    theRow[COLUMN_MESSAGE] = message;
+                    theRow[COLUMN_RESOURCE] = resourceName;
+                    theRow[COLUMN_LOCATION] = location;
                     this.resource = resource;
-                    this.row = row;
+                    this.row = theRow;
                 }
 
                 public String get(int index) {
@@ -1972,6 +2005,7 @@
                 }
 
                 @Override
+                @SuppressWarnings("UseSpecificCatch")
                 public int getLineNumber() {
                     try {
                         String[] lineAndColumn = this.row[COLUMN_LOCATION].split(":");
@@ -2496,6 +2530,7 @@
 
         private static final long serialVersionUID = -7434255417630073101L;
 
+        @SuppressWarnings("OverridableMethodCallInConstructor")
         public ButtonWithContext(Action action) {
             super(action);
             this.setBorderPainted(false);