Index: gvsig-plugin-package.xml
===================================================================
--- gvsig-plugin-package.xml	(revision 1199)
+++ gvsig-plugin-package.xml	(revision 1200)
@@ -71,34 +71,6 @@
         <include>org.python:${jython.artifactId}</include>
         <include>com.github.tbekolay.jnumeric:jnumeric</include>
         
-        <!--
-        JRuby doesn't work by default on gvSIG, maybe the problems are
-        related to the PluginClassLoader or to the way JRuby sets its
-        internal classpath, so maybe setting the system property
-        "org.jruby.embed.class.path" may solve the problem.
-        See:
-        http://kenai.com/projects/jruby/pages/RedBridge#Class_Path_%28Load_Path%29
-        <include>org.jruby:jruby</include>
-        -->
-
-        <!--
-            Scala doesn't work. When try to run a scala script show the message:
-            Failed to initialize compiler: object scala in compiler mirror not found.
-            ** Note that as of 2.8 scala does not assume use of the java classpath.
-            ** For the old behavior pass -usejavacp to scala, or if using a Settings
-            ** object programmatically, settings.usejavacp.value = true.
-        
- 
-        <include>org.scala-lang:scala-dist</include>
-        <include>org.scala-lang:scala-compiler</include>
-        <include>org.scala-lang:scala-library</include>
-        <include>org.scala-lang:scala-reflect</include>
-        <include>org.scala-lang:scalap</include>
-        -->
-        <!--
-        <include>jline:jline</include>
-        -->
-
       </includes>
     </dependencySet>
 
@@ -137,26 +109,32 @@
       <outputDirectory>lib</outputDirectory>
       <includes>
         <!--
-            flexmark-java, Markdown support libreries
+            flexmark-java, Markdown support libraries
         -->        
         <include>com.vladsch.flexmark:flexmark-all</include>
         <include>com.vladsch.flexmark:flexmark</include>
         <include>com.vladsch.flexmark:flexmark-ext-abbreviation</include>
+        <include>com.vladsch.flexmark:flexmark-util</include>
+        <include>com.vladsch.flexmark:flexmark-ext-admonition</include>
         <include>com.vladsch.flexmark:flexmark-ext-anchorlink</include>
         <include>com.vladsch.flexmark:flexmark-ext-aside</include>
+        <include>com.vladsch.flexmark:flexmark-ext-attributes</include>
         <include>com.vladsch.flexmark:flexmark-ext-autolink</include>
         <include>org.nibor.autolink:autolink</include>
         <include>com.vladsch.flexmark:flexmark-ext-definition</include>
         <include>com.vladsch.flexmark:flexmark-ext-emoji</include>
+        <include>com.vladsch.flexmark:flexmark-ext-enumerated-reference</include>
         <include>com.vladsch.flexmark:flexmark-ext-escaped-character</include>
         <include>com.vladsch.flexmark:flexmark-ext-footnotes</include>
         <include>com.vladsch.flexmark:flexmark-ext-gfm-issues</include>
         <include>com.vladsch.flexmark:flexmark-ext-gfm-strikethrough</include>
-        <include>com.vladsch.flexmark:flexmark-ext-gfm-tables</include>
         <include>com.vladsch.flexmark:flexmark-ext-gfm-tasklist</include>
         <include>com.vladsch.flexmark:flexmark-ext-gfm-users</include>
+        <include>com.vladsch.flexmark:flexmark-ext-gitlab</include>
         <include>com.vladsch.flexmark:flexmark-ext-jekyll-front-matter</include>
         <include>com.vladsch.flexmark:flexmark-ext-jekyll-tag</include>
+        <include>com.vladsch.flexmark:flexmark-ext-media-tags</include>
+        <include>com.vladsch.flexmark:flexmark-ext-macros</include>
         <include>com.vladsch.flexmark:flexmark-ext-ins</include>
         <include>com.vladsch.flexmark:flexmark-ext-xwiki-macros</include>
         <include>com.vladsch.flexmark:flexmark-ext-superscript</include>
@@ -165,21 +143,35 @@
         <include>com.vladsch.flexmark:flexmark-ext-typographic</include>
         <include>com.vladsch.flexmark:flexmark-ext-wikilink</include>
         <include>com.vladsch.flexmark:flexmark-ext-yaml-front-matter</include>
-        <include>com.vladsch.flexmark:flexmark-formatter</include>
-        <include>com.vladsch.flexmark:flexmark-html-parser</include>
+        <include>com.vladsch.flexmark:flexmark-ext-youtube-embedded</include>
+        <include>com.vladsch.flexmark:flexmark-html2md-converter</include>
         <include>org.jsoup:jsoup</include>
         <include>com.vladsch.flexmark:flexmark-jira-converter</include>
         <include>com.vladsch.flexmark:flexmark-pdf-converter</include>
         <include>com.openhtmltopdf:openhtmltopdf-core</include>
         <include>com.openhtmltopdf:openhtmltopdf-pdfbox</include>
-        <include>org.apache.pdfbox:pdfbox</include>
-        <include>org.apache.pdfbox:fontbox</include>
+        <include>org.apache.pdfbox:xmpbox</include>
+        <include>de.rototor.pdfbox:graphics2d</include>
         <include>com.openhtmltopdf:openhtmltopdf-rtl-support</include>
         <include>com.ibm.icu:icu4j</include>
         <include>com.openhtmltopdf:openhtmltopdf-jsoup-dom-converter</include>
         <include>com.vladsch.flexmark:flexmark-profile-pegdown</include>
-        <include>com.vladsch.flexmark:flexmark-util</include>
-        <include>com.vladsch.flexmark:flexmark-youtrack-converter</include>        
+        <include>com.vladsch.flexmark:flexmark-util-ast</include>
+        <include>org.jetbrains:annotations</include>
+        <include>com.vladsch.flexmark:flexmark-util-builder</include>
+        <include>com.vladsch.flexmark:flexmark-util-collection</include>
+        <include>com.vladsch.flexmark:flexmark-util-data</include>
+        <include>com.vladsch.flexmark:flexmark-util-dependency</include>
+        <include>com.vladsch.flexmark:flexmark-util-format</include>
+        <include>com.vladsch.flexmark:flexmark-util-html</include>
+        <include>com.vladsch.flexmark:flexmark-util-misc</include>
+        <include>com.vladsch.flexmark:flexmark-util-options</include>
+        <include>com.vladsch.flexmark:flexmark-util-sequence</include>
+        <include>com.vladsch.flexmark:flexmark-util-visitor</include>
+        <include>com.vladsch.flexmark:flexmark-youtrack-converter</include>
+        <include>org.apache.pdfbox:pdfbox</include>
+        <include>org.apache.pdfbox:fontbox</include>
+        <include>commons-logging:commons-logging</include>
       </includes>
     </dependencySet>
     