Index: org.gvsig.xmlschema/library/trunk/org.gvsig.xmlschema/org.gvsig.xmlschema.lib/org.gvsig.xmlschema.lib.api/pom.xml
===================================================================
--- org.gvsig.xmlschema/library/trunk/org.gvsig.xmlschema/org.gvsig.xmlschema.lib/org.gvsig.xmlschema.lib.api/pom.xml	(revision 1392)
+++ org.gvsig.xmlschema/library/trunk/org.gvsig.xmlschema/org.gvsig.xmlschema.lib/org.gvsig.xmlschema.lib.api/pom.xml	(revision 1393)
@@ -9,7 +9,7 @@
 	<parent>
 		<groupId>org.gvsig</groupId>
 		<artifactId>org.gvsig.xmlschema.lib</artifactId>
-		<version>2.0.43</version>
+		<version>2.0.44-SNAPSHOT</version>
 	</parent>
 	<dependencies>
 	
Index: org.gvsig.xmlschema/library/trunk/org.gvsig.xmlschema/org.gvsig.xmlschema.lib/org.gvsig.xmlschema.lib.spi/pom.xml
===================================================================
--- org.gvsig.xmlschema/library/trunk/org.gvsig.xmlschema/org.gvsig.xmlschema.lib/org.gvsig.xmlschema.lib.spi/pom.xml	(revision 1392)
+++ org.gvsig.xmlschema/library/trunk/org.gvsig.xmlschema/org.gvsig.xmlschema.lib/org.gvsig.xmlschema.lib.spi/pom.xml	(revision 1393)
@@ -10,13 +10,13 @@
     <parent>
         <groupId>org.gvsig</groupId>
         <artifactId>org.gvsig.xmlschema.lib</artifactId>	
-        <version>2.0.43</version>			
+        <version>2.0.44-SNAPSHOT</version>			
     </parent>
     <dependencies>
         <dependency>
             <groupId>org.gvsig</groupId>
             <artifactId>org.gvsig.xmlschema.lib.api</artifactId>
-            <version>2.0.43</version>
+            <version>2.0.44-SNAPSHOT</version>
         </dependency>
                 
         <dependency>
Index: org.gvsig.xmlschema/library/trunk/org.gvsig.xmlschema/org.gvsig.xmlschema.lib/org.gvsig.xmlschema.lib.impl/pom.xml
===================================================================
--- org.gvsig.xmlschema/library/trunk/org.gvsig.xmlschema/org.gvsig.xmlschema.lib/org.gvsig.xmlschema.lib.impl/pom.xml	(revision 1392)
+++ org.gvsig.xmlschema/library/trunk/org.gvsig.xmlschema/org.gvsig.xmlschema.lib/org.gvsig.xmlschema.lib.impl/pom.xml	(revision 1393)
@@ -9,18 +9,18 @@
 	<parent>
 		<groupId>org.gvsig</groupId>
 		<artifactId>org.gvsig.xmlschema.lib</artifactId>	
-		<version>2.0.43</version>			
+		<version>2.0.44-SNAPSHOT</version>			
 	</parent>
 	<dependencies>
 		<dependency>
 			<groupId>org.gvsig</groupId>
 			<artifactId>org.gvsig.xmlschema.lib.api</artifactId>
-			<version>2.0.43</version>
+			<version>2.0.44-SNAPSHOT</version>
 		</dependency>
 		<dependency>
 			<groupId>org.gvsig</groupId>
 			<artifactId>org.gvsig.xmlschema.lib.spi</artifactId>
-			<version>2.0.43</version>
+			<version>2.0.44-SNAPSHOT</version>
 		</dependency>
             <dependency>
                 <groupId>org.gvsig</groupId>
Index: org.gvsig.xmlschema/library/trunk/org.gvsig.xmlschema/org.gvsig.xmlschema.lib/pom.xml
===================================================================
--- org.gvsig.xmlschema/library/trunk/org.gvsig.xmlschema/org.gvsig.xmlschema.lib/pom.xml	(revision 1392)
+++ org.gvsig.xmlschema/library/trunk/org.gvsig.xmlschema/org.gvsig.xmlschema.lib/pom.xml	(revision 1393)
@@ -9,7 +9,7 @@
 	<parent>
 		<groupId>org.gvsig</groupId>
 		<artifactId>org.gvsig.xmlschema</artifactId>
-		<version>2.0.43</version>
+		<version>2.0.44-SNAPSHOT</version>
 	</parent>
 
 	<modules>
Index: org.gvsig.xmlschema/library/trunk/org.gvsig.xmlschema/org.gvsig.xmlschema.prov/org.gvsig.xmlschema.prov.kxml/pom.xml
===================================================================
--- org.gvsig.xmlschema/library/trunk/org.gvsig.xmlschema/org.gvsig.xmlschema.prov/org.gvsig.xmlschema.prov.kxml/pom.xml	(revision 1392)
+++ org.gvsig.xmlschema/library/trunk/org.gvsig.xmlschema/org.gvsig.xmlschema.prov/org.gvsig.xmlschema.prov.kxml/pom.xml	(revision 1393)
@@ -10,7 +10,7 @@
     <parent>
         <groupId>org.gvsig</groupId>
         <artifactId>org.gvsig.xmlschema.prov</artifactId>	
-        <version>2.0.43</version>			
+        <version>2.0.44-SNAPSHOT</version>			
     </parent>
     <dependencies>
 	
@@ -35,24 +35,24 @@
         <dependency>
             <groupId>org.gvsig</groupId>
             <artifactId>org.gvsig.xmlschema.lib.api</artifactId>
-            <version>2.0.43</version>
+            <version>2.0.44-SNAPSHOT</version>
         </dependency>
         <dependency>
             <groupId>org.gvsig</groupId>
             <artifactId>org.gvsig.xmlschema.lib.spi</artifactId>
-            <version>2.0.43</version>
+            <version>2.0.44-SNAPSHOT</version>
         </dependency>
         <dependency>
             <groupId>org.gvsig</groupId>
             <artifactId>org.gvsig.xmlschema.lib.spi</artifactId>
-            <version>2.0.43</version>
+            <version>2.0.44-SNAPSHOT</version>
             <classifier>tests</classifier>
             <scope>test</scope>
         </dependency>
         <dependency>
             <groupId>org.gvsig</groupId>
             <artifactId>org.gvsig.xmlschema.lib.impl</artifactId>
-            <version>2.0.43</version>
+            <version>2.0.44-SNAPSHOT</version>
             <scope>runtime</scope>
         </dependency>
         <dependency>
Index: org.gvsig.xmlschema/library/trunk/org.gvsig.xmlschema/org.gvsig.xmlschema.prov/pom.xml
===================================================================
--- org.gvsig.xmlschema/library/trunk/org.gvsig.xmlschema/org.gvsig.xmlschema.prov/pom.xml	(revision 1392)
+++ org.gvsig.xmlschema/library/trunk/org.gvsig.xmlschema/org.gvsig.xmlschema.prov/pom.xml	(revision 1393)
@@ -9,7 +9,7 @@
 	<parent>
 		<groupId>org.gvsig</groupId>
 		<artifactId>org.gvsig.xmlschema</artifactId>
-		<version>2.0.43</version>
+		<version>2.0.44-SNAPSHOT</version>
 	</parent>
 	<modules>
 		<module>org.gvsig.xmlschema.prov.kxml</module>
Index: org.gvsig.xmlschema/library/trunk/org.gvsig.xmlschema/pom.xml
===================================================================
--- org.gvsig.xmlschema/library/trunk/org.gvsig.xmlschema/pom.xml	(revision 1392)
+++ org.gvsig.xmlschema/library/trunk/org.gvsig.xmlschema/pom.xml	(revision 1393)
@@ -4,7 +4,7 @@
   <modelVersion>4.0.0</modelVersion>
   <artifactId>org.gvsig.xmlschema</artifactId>
   <packaging>pom</packaging>
-  <version>2.0.43</version>
+  <version>2.0.44-SNAPSHOT</version>
 
   <name>${project.artifactId}</name>
   <description>XML Schema loading support library</description>
@@ -17,9 +17,9 @@
   </parent>
   
   <scm>
-    <connection>scm:svn:https://devel.gvsig.org/svn/gvsig-gpe/org.gvsig.xmlschema/library/tags/org.gvsig.xmlschema-2.0.43</connection>
-    <developerConnection>scm:svn:https://devel.gvsig.org/svn/gvsig-gpe/org.gvsig.xmlschema/library/tags/org.gvsig.xmlschema-2.0.43</developerConnection>
-    <url>https://devel.gvsig.org/redmine/projects/gvsig-gpe/repository/show/org.gvsig.xmlschema/library/tags/org.gvsig.xmlschema-2.0.43</url>
+    <connection>scm:svn:https://devel.gvsig.org/svn/gvsig-gpe/org.gvsig.xmlschema/library/trunk/org.gvsig.xmlschema</connection>
+    <developerConnection>scm:svn:https://devel.gvsig.org/svn/gvsig-gpe/org.gvsig.xmlschema/library/trunk/org.gvsig.xmlschema</developerConnection>
+    <url>https://devel.gvsig.org/redmine/projects/gvsig-gpe/repository/show/org.gvsig.xmlschema/library/trunk/org.gvsig.xmlschema</url>
   </scm>
     <repositories>
       <repository>
@@ -46,22 +46,22 @@
         <dependency>
             <groupId>org.gvsig</groupId>
             <artifactId>org.gvsig.xmlschema.lib.api</artifactId>
-            <version>2.0.43</version>
+            <version>2.0.44-SNAPSHOT</version>
         </dependency>
         <dependency>
             <groupId>org.gvsig</groupId>
             <artifactId>org.gvsig.xmlschema.lib.spi</artifactId>
-            <version>2.0.43</version>
+            <version>2.0.44-SNAPSHOT</version>
         </dependency>
         <dependency>
             <groupId>org.gvsig</groupId>
             <artifactId>org.gvsig.xmlschema.lib.impl</artifactId>
-            <version>2.0.43</version>
+            <version>2.0.44-SNAPSHOT</version>
         </dependency>
         <dependency>
             <groupId>org.gvsig</groupId>
             <artifactId>org.gvsig.xmlschema.prov.kxml</artifactId>
-            <version>2.0.43</version>
+            <version>2.0.44-SNAPSHOT</version>
         </dependency>
         
      </dependencies>