Index: ToolsLocator.java
===================================================================
--- ToolsLocator.java	(revision 1404)
+++ ToolsLocator.java	(revision 1405)
@@ -3,23 +3,22 @@
  *
  * Copyright (C) 2007-2013 gvSIG Association.
  *
- * This program is free software; you can redistribute it and/or
- * modify it under the terms of the GNU General Public License
- * as published by the Free Software Foundation; either version 2
- * of the License, or (at your option) any later version.
+ * This program is free software; you can redistribute it and/or modify it under
+ * the terms of the GNU General Public License as published by the Free Software
+ * Foundation; either version 2 of the License, or (at your option) any later
+ * version.
  *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
+ * This program is distributed in the hope that it will be useful, but WITHOUT
+ * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
+ * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
+ * details.
  *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
- * MA  02110-1301, USA.
+ * You should have received a copy of the GNU General Public License along with
+ * this program; if not, write to the Free Software Foundation, Inc., 51
+ * Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
  *
- * For any additional information, do not hesitate to contact us
- * at info AT gvsig.com, or visit our website www.gvsig.com.
+ * For any additional information, do not hesitate to contact us at info AT
+ * gvsig.com, or visit our website www.gvsig.com.
  */
 package org.gvsig.tools;
 
@@ -38,6 +37,7 @@
 import org.gvsig.tools.operations.OperationManager;
 import org.gvsig.tools.packageutils.PackageManager;
 import org.gvsig.tools.persistence.PersistenceManager;
+import org.gvsig.tools.script.ScriptManager;
 import org.gvsig.tools.task.TaskStatusManager;
 import org.gvsig.tools.util.ServiceLoader;
 import org.gvsig.tools.util.impl.DefaultServiceLoader;
@@ -47,503 +47,484 @@
 
 public class ToolsLocator extends AbstractLocator {
 
-	private static final String LOCATOR_NAME = "ToolsLocator";
+    private static final String LOCATOR_NAME = "ToolsLocator";
 
-	public static final String PERSISTENCE_MANAGER_NAME =
-			"org.gvsig.tools.persistence.manager";
+    public static final String PERSISTENCE_MANAGER_NAME = "org.gvsig.tools.persistence.manager";
+    private static final String PERSISTENCE_MANAGER_DESCRIPTION = "Persistence Manager of gvSIG";
 
-	private static final String PERSISTENCE_MANAGER_DESCRIPTION =
-			"Persistence Manager of gvSIG";
+    public static final String OPERATION_MANAGER_NAME = "org.gvsig.tools.operation.manager";
+    private static final String OPERATION_MANAGER_DESCRIPTION = "Operation Manager of gvSIG";
 
-	public static final String OPERATION_MANAGER_NAME =
-			"org.gvsig.tools.operation.manager";
+    public static final String DYNOBJECT_MANAGER_NAME = "org.gvsig.tools.dynobject.manager";
+    private static final String DYNOBJECT_MANAGER_DESCRIPTION = "DynObject Manager of gvSIG";
 
-	private static final String OPERATION_MANAGER_DESCRIPTION =
-			"Operation Manager of gvSIG";
+    public static final String DISPOSABLE_MANAGER_NAME = "org.gvsig.tools.dispose.manager";
+    private static final String DISPOSABLE_MANAGER_DESCRIPTION = "Disposable Manager";
 
-	public static final String DYNOBJECT_MANAGER_NAME =
-			"org.gvsig.tools.dynobject.manager";
+    public static final String DATATYPES_MANAGER_NAME = "org.gvsig.tools.datatypes.manager";
+    private static final String DATATYPES_MANAGER_DESCRIPTION = "Datatypes Manager";
 
-	private static final String DYNOBJECT_MANAGER_DESCRIPTION =
-			"DynObject Manager of gvSIG";
+    public static final String SERVICE_LOADER_NAME = "org.gvsig.tools.service.loader";
+    private static final String SERVICE_LOADER_DESCRIPTION = "Default Service Loader";
 
-	public static final String DISPOSABLE_MANAGER_NAME =
-			"org.gvsig.tools.dispose.manager";
+    public static final String I18N_MANAGER_NAME = "org.gvsig.tools.i18n.manager";
+    private static final String I18N_MANAGER_DESCRIPTION = "Default I18n Manager";
 
-	private static final String DISPOSABLE_MANAGER_DESCRIPTION =
-		"Disposable Manager";
+    public static final String TASKSTATUS_MANAGER_NAME = "org.gvsig.tools.taststatus.manager";
+    private static final String TASKSTATUS_MANAGER_DESCRIPTION = "Default Tast Status Manager";
 
-	public static final String DATATYPES_MANAGER_NAME =
-		"org.gvsig.tools.datatypes.manager";
+    public static final String PACKAGE_MANAGER_NAME = "org.gvsig.tools.package.manager";
+    private static final String PACKAGE_MANAGER_DESCRIPTION = "Default Package Manager";
 
-	private static final String DATATYPES_MANAGER_DESCRIPTION =
-		"Datatypes Manager";
+    public static final String IDENTITY_MANAGER_NAME = "org.gvsig.tools.identity.manager";
+    private static final String IDENTITY_MANAGER_DESCRIPTION = "Default Identity Manager";
 
-	public static final String SERVICE_LOADER_NAME =
-			"org.gvsig.tools.service.loader";
+    public static final String FIREWALL_MANAGER_NAME = "org.gvsig.tools.firewall.manager";
+    private static final String FIREWALL_MANAGER_DESCRIPTION = "Default Firewall Manager";
+    
+    public static final String SCRIPT_MANAGER_NAME = "org.gvsig.tools.script.manager";
+    private static final String SCRIPT_MANAGER_DESCRIPTION = "Default dummy script Manager";
 
-	private static final String SERVICE_LOADER_DESCRIPTION =
-			"Default Service Loader";
+    /**
+     * Unique instance.
+     */
+    private static final ToolsLocator instance = new ToolsLocator();
 
-	public static final String I18N_MANAGER_NAME =
-		"org.gvsig.tools.i18n.manager";
+    // Comma list of xml pull parser factories, parsers or serializers
+    private String xmlPullParserFactoryClassNames = ""
+            + "org.xmlpull.mxp1.MXParserFactory," + // MXP1 (XPP3) factory
+            "org.kxml2.io.KXmlParser," + // KXML2 parser
+            "org.kxml2.io.KXmlSerializer"; // KXML2 serializer
 
-	private static final String I18N_MANAGER_DESCRIPTION =
-		"Default I18n Manager";
+    private ToolsLocator() {
+        // Register default ServiceLoader
+        registerDefault(SERVICE_LOADER_NAME, SERVICE_LOADER_DESCRIPTION,
+                DefaultServiceLoader.class);
+    }
 
-	public static final String TASKSTATUS_MANAGER_NAME =
-		"org.gvsig.tools.taststatus.manager";
+    /**
+     * Return the singleton instance.
+     *
+     * @return the singleton instance
+     */
+    public static ToolsLocator getInstance() {
+        return instance;
+    }
 
-	private static final String TASKSTATUS_MANAGER_DESCRIPTION =
-		"Default Tast Status Manager";
+    public String getLocatorName() {
+        return LOCATOR_NAME;
+    }
 
-	public static final String PACKAGE_MANAGER_NAME =
-			"org.gvsig.tools.package.manager";
+    /**
+     * Return a reference to PersistenceManager.
+     *
+     * @return a reference to PersistenceManager
+     * @throws LocatorException if there is no access to the class or the class
+     * cannot be instantiated
+     * @see Locator#get(String)
+     */
+    public static PersistenceManager getPersistenceManager()
+            throws LocatorException {
+        return (PersistenceManager) getInstance().get(PERSISTENCE_MANAGER_NAME);
+    }
 
-	private static final String PACKAGE_MANAGER_DESCRIPTION =
-			"Default Package Manager";
+    /**
+     * Registers the Class implementing the PersistenceManager interface.
+     *
+     * @param clazz implementing the PersistenceManager interface
+     */
+    public static void registerPersistenceManager(Class clazz) {
+        getInstance().register(PERSISTENCE_MANAGER_NAME,
+                PERSISTENCE_MANAGER_DESCRIPTION, clazz);
+    }
 
-    public static final String IDENTITY_MANAGER_NAME =
-			"org.gvsig.tools.identity.manager";
+    public static void registerDefaultPersistenceManager(Class clazz) {
+        getInstance().registerDefault(PERSISTENCE_MANAGER_NAME,
+                PERSISTENCE_MANAGER_DESCRIPTION, clazz);
+    }
 
-	private static final String IDENTITY_MANAGER_DESCRIPTION =
-			"Default Identity Manager";
+    /**
+     * Return a reference to OperationManager.
+     *
+     * @return a reference to OperationManager
+     * @throws LocatorException if there is no access to the class or the class
+     * cannot be instantiated
+     * @see Locator#get(String)
+     */
+    public static OperationManager getOperationManager()
+            throws LocatorException {
+        return (OperationManager) getInstance().get(OPERATION_MANAGER_NAME);
+    }
 
-    public static final String FIREWALL_MANAGER_NAME =
-			"org.gvsig.tools.firewall.manager";
+    /**
+     * Registers the Class implementing the OperationManager interface.
+     *
+     * @param clazz implementing the OperationManager interface
+     */
+    public static void registerOperationManager(Class clazz) {
+        getInstance().register(OPERATION_MANAGER_NAME,
+                OPERATION_MANAGER_DESCRIPTION, clazz);
+    }
 
-	private static final String FIREWALL_MANAGER_DESCRIPTION =
-			"Default Firewall Manager";
-/**
-	 * Unique instance.
-	 */
-	private static final ToolsLocator instance = new ToolsLocator();
+    public static void registerDefaultOperationManager(Class clazz) {
+        getInstance().registerDefault(OPERATION_MANAGER_NAME,
+                OPERATION_MANAGER_DESCRIPTION, clazz);
+    }
 
-	// Comma list of xml pull parser factories, parsers or serializers
-	private String xmlPullParserFactoryClassNames = ""
-			+ "org.xmlpull.mxp1.MXParserFactory," + // MXP1 (XPP3) factory
-			"org.kxml2.io.KXmlParser," + // KXML2 parser
-			"org.kxml2.io.KXmlSerializer"; // KXML2 serializer
+    public static ExtensionPointManager getExtensionPointManager() {
+        return DefaultExtensionPointManager.getManager();
+    }
 
-	private ToolsLocator() {
-		// Register default ServiceLoader
-		registerDefault(SERVICE_LOADER_NAME, SERVICE_LOADER_DESCRIPTION,
-				DefaultServiceLoader.class);
-	}
+    /**
+     * Return a reference to DynObjectManager.
+     *
+     * @return a reference to DynObjectManager
+     * @throws LocatorException if there is no access to the class or the class
+     * cannot be instantiated
+     * @see Locator#get(String)
+     */
+    public static DynObjectManager getDynObjectManager()
+            throws LocatorException {
+        return (DynObjectManager) getInstance().get(DYNOBJECT_MANAGER_NAME);
+    }
 
-	/**
-	 * Return the singleton instance.
-	 *
-	 * @return the singleton instance
-	 */
-	public static ToolsLocator getInstance() {
-		return instance;
-	}
+    /**
+     * Registers the Class implementing the DynObjectManager interface.
+     *
+     * @param clazz implementing the {@link DynObjectManager} interface
+     */
+    public static void registerDynObjectManager(Class clazz) {
+        getInstance().register(DYNOBJECT_MANAGER_NAME,
+                DYNOBJECT_MANAGER_DESCRIPTION, clazz);
+    }
 
-	public String getLocatorName() {
-		return LOCATOR_NAME;
-	}
+    /**
+     * Return a reference to DisposableManager.
+     *
+     * @return a reference to {@link DisposableManager}
+     * @throws LocatorException if there is no access to the class or the class
+     * cannot be instantiated
+     * @see Locator#get(String)
+     */
+    public static DisposableManager getDisposableManager()
+            throws LocatorException {
+        return (DisposableManager) getInstance().get(DISPOSABLE_MANAGER_NAME);
+    }
 
-	/**
-	 * Return a reference to PersistenceManager.
-	 *
-	 * @return a reference to PersistenceManager
-	 * @throws LocatorException
-	 *             if there is no access to the class or the class cannot be
-	 *             instantiated
-	 * @see Locator#get(String)
-	 */
-	public static PersistenceManager getPersistenceManager()
-			throws LocatorException {
-		return (PersistenceManager) getInstance().get(PERSISTENCE_MANAGER_NAME);
-	}
+    /**
+     * Registers the Class implementing the DisposableManager interface.
+     *
+     * @param clazz implementing the {@link DisposableManager} interface
+     */
+    public static void registerDisposableManager(Class clazz) {
+        getInstance().register(DISPOSABLE_MANAGER_NAME,
+                DISPOSABLE_MANAGER_DESCRIPTION, clazz);
+    }
 
-	/**
-	 * Registers the Class implementing the PersistenceManager interface.
-	 *
-	 * @param clazz
-	 *            implementing the PersistenceManager interface
-	 */
-	public static void registerPersistenceManager(Class clazz) {
-		getInstance().register(PERSISTENCE_MANAGER_NAME,
-				PERSISTENCE_MANAGER_DESCRIPTION, clazz);
-	}
+    /**
+     * Return a reference to {@link ServiceLoader}.
+     *
+     * @return a reference to {@link ServiceLoader}
+     * @throws LocatorException if there is no access to the class or the class
+     * cannot be instantiated
+     * @see Locator#get(String)
+     */
+    public static ServiceLoader getServiceLoader() throws LocatorException {
+        return (ServiceLoader) getInstance().get(SERVICE_LOADER_NAME);
+    }
 
-	public static void registerDefaultPersistenceManager(Class clazz) {
-		getInstance().registerDefault(PERSISTENCE_MANAGER_NAME,
-				PERSISTENCE_MANAGER_DESCRIPTION, clazz);
-	}
+    /**
+     * Registers the Class implementing the {@link ServiceLoader} interface.
+     *
+     * @param clazz implementing the {@link ServiceLoader} interface
+     */
+    public static void registerServiceLoader(Class clazz) {
+        getInstance().register(SERVICE_LOADER_NAME, SERVICE_LOADER_DESCRIPTION,
+                clazz);
+    }
 
-	/**
-	 * Return a reference to OperationManager.
-	 *
-	 * @return a reference to OperationManager
-	 * @throws LocatorException
-	 *             if there is no access to the class or the class cannot be
-	 *             instantiated
-	 * @see Locator#get(String)
-	 */
-	public static OperationManager getOperationManager()
-			throws LocatorException {
-		return (OperationManager) getInstance().get(OPERATION_MANAGER_NAME);
-	}
+    /**
+     * Return a reference to {@link I18nManager}.
+     *
+     * @return a reference to {@link I18nManager}
+     * @throws LocatorException if there is no access to the class or the class
+     * cannot be instantiated
+     * @see Locator#get(String)
+     */
+    public static I18nManager getI18nManager() throws LocatorException {
+        return (I18nManager) getInstance().get(I18N_MANAGER_NAME);
+    }
 
-	/**
-	 * Registers the Class implementing the OperationManager interface.
-	 *
-	 * @param clazz
-	 *            implementing the OperationManager interface
-	 */
-	public static void registerOperationManager(Class clazz) {
-		getInstance().register(OPERATION_MANAGER_NAME,
-				OPERATION_MANAGER_DESCRIPTION, clazz);
-	}
+    /**
+     * Registers the Class implementing the {@link I18nManager} interface.
+     *
+     * @param clazz implementing the {@link I18nManager} interface
+     */
+    public static void registerI18nManager(Class clazz) {
+        getInstance().register(I18N_MANAGER_NAME, I18N_MANAGER_DESCRIPTION,
+                clazz);
+    }
 
-	public static void registerDefaultOperationManager(Class clazz) {
-		getInstance().registerDefault(OPERATION_MANAGER_NAME,
-				OPERATION_MANAGER_DESCRIPTION, clazz);
-	}
+    /**
+     * Registers the default Class implementing the {@link I18nManager}
+     * interface.
+     *
+     * @param clazz implementing the {@link I18nManager} interface
+     */
+    public static void registerDefaultI18nManager(Class clazz) {
+        getInstance().registerDefault(I18N_MANAGER_NAME,
+                I18N_MANAGER_DESCRIPTION, clazz);
+    }
 
-	public static ExtensionPointManager getExtensionPointManager() {
-		return DefaultExtensionPointManager.getManager();
-	}
+    /**
+     * Return a reference to {@link ScriptManager}.
+     *
+     * @return a reference to {@link ScriptManager}
+     * @throws LocatorException if there is no access to the class or the class
+     * cannot be instantiated
+     * @see Locator#get(String)
+     */
+    public static ScriptManager getScriptManager() throws LocatorException {
+        return (ScriptManager) getInstance().get(SCRIPT_MANAGER_NAME);
+    }
 
-	/**
-	 * Return a reference to DynObjectManager.
-	 *
-	 * @return a reference to DynObjectManager
-	 * @throws LocatorException
-	 *             if there is no access to the class or the class cannot be
-	 *             instantiated
-	 * @see Locator#get(String)
-	 */
-	public static DynObjectManager getDynObjectManager()
-			throws LocatorException {
-		return (DynObjectManager) getInstance().get(DYNOBJECT_MANAGER_NAME);
-	}
+    /**
+     * Registers the Class implementing the {@link ScriptManager} interface.
+     *
+     * @param clazz implementing the {@link ScriptManager} interface
+     */
+    public static void registerScriptManager(Class clazz) {
+        getInstance().register(SCRIPT_MANAGER_NAME, SCRIPT_MANAGER_DESCRIPTION,
+                clazz);
+    }
 
-	/**
-	 * Registers the Class implementing the DynObjectManager interface.
-	 *
-	 * @param clazz
-	 *            implementing the {@link DynObjectManager} interface
-	 */
-	public static void registerDynObjectManager(Class clazz) {
-		getInstance().register(DYNOBJECT_MANAGER_NAME,
-				DYNOBJECT_MANAGER_DESCRIPTION, clazz);
-	}
+    /**
+     * Registers the default Class implementing the {@link ScriptManager}
+     * interface.
+     *
+     * @param clazz implementing the {@link ScriptManager} interface
+     */
+    public static void registerDefaultScriptManager(Class clazz) {
+        getInstance().registerDefault(SCRIPT_MANAGER_NAME,
+                SCRIPT_MANAGER_DESCRIPTION, clazz);
+    }
 
-	/**
-	 * Return a reference to DisposableManager.
-	 *
-	 * @return a reference to {@link DisposableManager}
-	 * @throws LocatorException
-	 *             if there is no access to the class or the class cannot be
-	 *             instantiated
-	 * @see Locator#get(String)
-	 */
-	public static DisposableManager getDisposableManager()
-			throws LocatorException {
-		return (DisposableManager) getInstance().get(DISPOSABLE_MANAGER_NAME);
-	}
+    /**
+     * Registers the Class implementing the DataTypesManager interface.
+     *
+     * @param clazz implementing the {@link DataTypesManag} interface
+     */
+    public static void registerDataTypesManager(Class clazz) {
+        getInstance().register(DATATYPES_MANAGER_NAME,
+                DATATYPES_MANAGER_DESCRIPTION, clazz);
+    }
 
-	/**
-	 * Registers the Class implementing the DisposableManager interface.
-	 *
-	 * @param clazz
-	 *            implementing the {@link DisposableManager} interface
-	 */
-	public static void registerDisposableManager(Class clazz) {
-		getInstance().register(DISPOSABLE_MANAGER_NAME,
-				DISPOSABLE_MANAGER_DESCRIPTION, clazz);
-	}
+    /**
+     * Registers the default Class implementing the DataTypesManager interface.
+     *
+     * @param clazz implementing the {@link DataTypesManager} interface
+     */
+    public static void registerDefaultDataTypesManager(Class clazz) {
+        getInstance().registerDefault(DATATYPES_MANAGER_NAME,
+                DATATYPES_MANAGER_DESCRIPTION, clazz);
+    }
 
-	/**
-	 * Return a reference to {@link ServiceLoader}.
-	 *
-	 * @return a reference to {@link ServiceLoader}
-	 * @throws LocatorException
-	 *             if there is no access to the class or the class cannot be
-	 *             instantiated
-	 * @see Locator#get(String)
-	 */
-	public static ServiceLoader getServiceLoader() throws LocatorException {
-		return (ServiceLoader) getInstance().get(SERVICE_LOADER_NAME);
-	}
+    /**
+     * Return a reference to {@link DataTypesManager}.
+     *
+     * @return a reference to {@link DataTypesManager}
+     * @throws LocatorException if there is no access to the class or the class
+     * cannot be instantiated
+     * @see Locator#get(String)
+     */
+    public static DataTypesManager getDataTypesManager()
+            throws LocatorException {
+        return (DataTypesManager) getInstance().get(DATATYPES_MANAGER_NAME);
+    }
 
-	/**
-	 * Registers the Class implementing the {@link ServiceLoader} interface.
-	 *
-	 * @param clazz
-	 *            implementing the {@link ServiceLoader} interface
-	 */
-	public static void registerServiceLoader(Class clazz) {
-		getInstance().register(SERVICE_LOADER_NAME, SERVICE_LOADER_DESCRIPTION,
-				clazz);
-	}
+    /**
+     * Returns the comma separated list of XmlPullParserFactory, XmlPullParser
+     * or XmlSerializer implementations to be used.
+     * <p>
+     * This parameter must be passed to the {@link XmlPullParserFactory} class
+     * to get an instance of the factory with an available implementation. That
+     * class will use the list to try to instance the classes included, and will
+     * use the first one available in the list order.
+     * </p>
+     * <p>
+     * <strong>Example getting an {@link XmlPullParser}:</strong>
+     *
+     * <pre>
+     * XmlPullParserFactory factory = XmlPullParserFactory.newInstance(ToolsLocator
+     * 		.getInstance().getXmlPullParserFactoryClassNames(), null);
+     *
+     * XmlPullParser xpp = factory.newPullParser();
+     * </pre>
+     *
+     * </p>
+     * <p>
+     * <strong>Example getting an {@link XmlSerializer}:</strong>
+     *
+     * <pre>
+     * XmlPullParserFactory factory = XmlPullParserFactory.newInstance(ToolsLocator
+     * 		.getInstance().getXmlPullParserFactoryClassNames(), null);
+     *
+     * XmlSerializer serializer = factory.newSerializer();
+     * </pre>
+     *
+     * </p>
+     *
+     * @return the xmlPullParserFactoryClassNames
+     * @see XmlPullParserFactory#newInstance(String, Class).
+     */
+    public String getXmlPullParserFactoryClassNames() {
+        return xmlPullParserFactoryClassNames;
+    }
 
-	/**
-	 * Return a reference to {@link I18nManager}.
-	 *
-	 * @return a reference to {@link I18nManager}
-	 * @throws LocatorException
-	 *             if there is no access to the class or the class cannot be
-	 *             instantiated
-	 * @see Locator#get(String)
-	 */
-	public static I18nManager getI18nManager() throws LocatorException {
-		return (I18nManager) getInstance().get(I18N_MANAGER_NAME);
-	}
+    /**
+     * Sets a comma separated list of XmlPullParserFactory, XmlPullParser or
+     * XmlSerializer implementations to be used.
+     *
+     * @param xmlPullParserFactoryClassNames the comma separated list of
+     * XmlPullParserFactory class name
+     */
+    public void setXmlPullParserFactoryClassNames(
+            String xmlPullParserFactoryClassNames) {
+        this.xmlPullParserFactoryClassNames = xmlPullParserFactoryClassNames;
+    }
 
-	/**
-	 * Registers the Class implementing the {@link I18nManager} interface.
-	 *
-	 * @param clazz
-	 *            implementing the {@link I18nManager} interface
-	 */
-	public static void registerI18nManager(Class clazz) {
-		getInstance().register(I18N_MANAGER_NAME, I18N_MANAGER_DESCRIPTION,
-				clazz);
-	}
+    /**
+     * Registers the Class implementing the {@link TaskStatusManager} interface.
+     *
+     * @param clazz implementing the {@link TaskStatusManager} interface
+     */
+    public static void registerTaskStatusManager(Class clazz) {
+        getInstance().register(TASKSTATUS_MANAGER_NAME,
+                TASKSTATUS_MANAGER_DESCRIPTION, clazz);
+    }
 
-	/**
-	 * Registers the default Class implementing the {@link I18nManager}
-	 * interface.
-	 *
-	 * @param clazz
-	 *            implementing the {@link I18nManager} interface
-	 */
-	public static void registerDefaultI18nManager(Class clazz) {
-		getInstance().registerDefault(I18N_MANAGER_NAME,
-				I18N_MANAGER_DESCRIPTION, clazz);
-	}
+    /**
+     * Registers the default Class implementing the {@link TaskStatusManager}
+     * interface.
+     *
+     * @param clazz implementing the {@link TaskStatusManager} interface
+     */
+    public static void registerDefaultTaskStatusManager(Class clazz) {
+        getInstance().registerDefault(TASKSTATUS_MANAGER_NAME,
+                TASKSTATUS_MANAGER_DESCRIPTION, clazz);
+    }
 
-	/**
-	 * Registers the Class implementing the DataTypesManager interface.
-	 *
-	 * @param clazz
-	 *            implementing the {@link DataTypesManag} interface
-	 */
-	public static void registerDataTypesManager(Class clazz) {
-		getInstance().register(DATATYPES_MANAGER_NAME,
-				DATATYPES_MANAGER_DESCRIPTION, clazz);
-	}
+    /**
+     * Return a reference to {@link TaskStatusManager}.
+     *
+     * @return a reference to {@link TaskStatusManager}
+     * @throws LocatorException if there is no access to the class or the class
+     * cannot be instantiated
+     * @see Locator#get(String)
+     */
+    public static TaskStatusManager getTaskStatusManager()
+            throws LocatorException {
+        return (TaskStatusManager) getInstance().get(TASKSTATUS_MANAGER_NAME);
+    }
 
-	/**
-	 * Registers the default Class implementing the DataTypesManager interface.
-	 *
-	 * @param clazz
-	 *            implementing the {@link DataTypesManager} interface
-	 */
-	public static void registerDefaultDataTypesManager(Class clazz) {
-		getInstance().registerDefault(DATATYPES_MANAGER_NAME,
-				DATATYPES_MANAGER_DESCRIPTION, clazz);
-	}
+    /**
+     * Registers the Class implementing the {@link PackageManager} interface.
+     *
+     * @param clazz implementing the {@link PackageManager} interface
+     */
+    public static void registerPackageManager(Class clazz) {
+        getInstance().register(PACKAGE_MANAGER_NAME,
+                PACKAGE_MANAGER_DESCRIPTION, clazz);
+    }
 
-	/**
-	 * Return a reference to {@link DataTypesManager}.
-	 *
-	 * @return a reference to {@link DataTypesManager}
-	 * @throws LocatorException
-	 *             if there is no access to the class or the class cannot be
-	 *             instantiated
-	 * @see Locator#get(String)
-	 */
-	public static DataTypesManager getDataTypesManager()
-			throws LocatorException {
-		return (DataTypesManager) getInstance().get(DATATYPES_MANAGER_NAME);
-	}
+    /**
+     * Registers the default Class implementing the {@link PackageManager}
+     * interface.
+     *
+     * @param clazz implementing the {@link PackageManager} interface
+     */
+    public static void registerDefaultPackageManager(Class clazz) {
+        getInstance().registerDefault(PACKAGE_MANAGER_NAME,
+                PACKAGE_MANAGER_DESCRIPTION, clazz);
+    }
 
-	/**
-	 * Returns the comma separated list of XmlPullParserFactory, XmlPullParser
-	 * or XmlSerializer implementations to be used.
-	 * <p>
-	 * This parameter must be passed to the {@link XmlPullParserFactory} class
-	 * to get an instance of the factory with an available implementation. That
-	 * class will use the list to try to instance the classes included, and will
-	 * use the first one available in the list order.
-	 * </p>
-	 * <p>
-	 * <strong>Example getting an {@link XmlPullParser}:</strong>
-	 *
-	 * <pre>
-	 * XmlPullParserFactory factory = XmlPullParserFactory.newInstance(ToolsLocator
-	 * 		.getInstance().getXmlPullParserFactoryClassNames(), null);
-	 *
-	 * XmlPullParser xpp = factory.newPullParser();
-	 * </pre>
-	 *
-	 * </p>
-	 * <p>
-	 * <strong>Example getting an {@link XmlSerializer}:</strong>
-	 *
-	 * <pre>
-	 * XmlPullParserFactory factory = XmlPullParserFactory.newInstance(ToolsLocator
-	 * 		.getInstance().getXmlPullParserFactoryClassNames(), null);
-	 *
-	 * XmlSerializer serializer = factory.newSerializer();
-	 * </pre>
-	 *
-	 * </p>
-	 *
-	 * @return the xmlPullParserFactoryClassNames
-	 * @see XmlPullParserFactory#newInstance(String, Class).
-	 */
-	public String getXmlPullParserFactoryClassNames() {
-		return xmlPullParserFactoryClassNames;
-	}
+    /**
+     * Return a reference to {@link PackageManager}.
+     *
+     * @return a reference to {@link PackageManager}
+     * @throws LocatorException if there is no access to the class or the class
+     * cannot be instantiated
+     * @see Locator#get(String)
+     */
+    public static PackageManager getPackageManager()
+            throws LocatorException {
+        return (PackageManager) getInstance().get(PACKAGE_MANAGER_NAME);
+    }
 
-	/**
-	 * Sets a comma separated list of XmlPullParserFactory, XmlPullParser or
-	 * XmlSerializer implementations to be used.
-	 *
-	 * @param xmlPullParserFactoryClassNames
-	 *            the comma separated list of XmlPullParserFactory class name
-	 */
-	public void setXmlPullParserFactoryClassNames(
-			String xmlPullParserFactoryClassNames) {
-		this.xmlPullParserFactoryClassNames = xmlPullParserFactoryClassNames;
-	}
+    /**
+     * Registers the Class implementing the {@link SimpleIdentityManager}
+     * interface.
+     *
+     * @param clazz implementing the {@link SimpleIdentityManager} interface
+     */
+    public static void registerIdentityManager(Class clazz) {
+        getInstance().register(IDENTITY_MANAGER_NAME,
+                IDENTITY_MANAGER_DESCRIPTION, clazz);
+    }
 
-	/**
-	 * Registers the Class implementing the {@link TaskStatusManager} interface.
-	 *
-	 * @param clazz
-	 *            implementing the {@link TaskStatusManager} interface
-	 */
-	public static void registerTaskStatusManager(Class clazz) {
-		getInstance().register(TASKSTATUS_MANAGER_NAME,
-				TASKSTATUS_MANAGER_DESCRIPTION, clazz);
-	}
+    /**
+     * Registers the default Class implementing the
+     * {@link SimpleIdentityManager} interface.
+     *
+     * @param clazz implementing the {@link SimpleIdentityManager} interface
+     */
+    public static void registerDefaultIdentityManager(Class clazz) {
+        getInstance().registerDefault(IDENTITY_MANAGER_NAME,
+                IDENTITY_MANAGER_DESCRIPTION, clazz);
+    }
 
-	/**
-	 * Registers the default Class implementing the {@link TaskStatusManager} interface.
-	 *
-	 * @param clazz
-	 *            implementing the {@link TaskStatusManager} interface
-	 */
-	public static void registerDefaultTaskStatusManager(Class clazz) {
-		getInstance().registerDefault(TASKSTATUS_MANAGER_NAME,
-				TASKSTATUS_MANAGER_DESCRIPTION, clazz);
-	}
+    /**
+     * Return a reference to {@link SimpleIdentityManager}.
+     *
+     * @return a reference to {@link SimpleIdentityManager}
+     * @throws LocatorException if there is no access to the class or the class
+     * cannot be instantiated
+     * @see Locator#get(String)
+     */
+    public static SimpleIdentityManager getIdentityManager()
+            throws LocatorException {
+        return (SimpleIdentityManager) getInstance().get(IDENTITY_MANAGER_NAME);
+    }
 
-	/**
-	 * Return a reference to {@link TaskStatusManager}.
-	 *
-	 * @return a reference to {@link TaskStatusManager}
-	 * @throws LocatorException
-	 *             if there is no access to the class or the class cannot be
-	 *             instantiated
-	 * @see Locator#get(String)
-	 */
-	public static TaskStatusManager getTaskStatusManager()
-			throws LocatorException {
-		return (TaskStatusManager) getInstance().get(TASKSTATUS_MANAGER_NAME);
-	}
+    /**
+     * Registers the default Class implementing the FirewallManager interface.
+     *
+     * @param clazz implementing the {@link FirewallManager} interface
+     */
+    public static void registerDefaultFirewallManager(Class clazz) {
+        getInstance().registerDefault(FIREWALL_MANAGER_NAME,
+                FIREWALL_MANAGER_DESCRIPTION, clazz);
+    }
 
+    /**
+     * Return a reference to {@link FirewallManager}.
+     *
+     * @return a reference to {@link FirewallManager}
+     * @throws LocatorException if there is no access to the class or the class
+     * cannot be instantiated
+     * @see Locator#get(String)
+     */
+    public static FirewallConfiguration getFirewallManager()
+            throws LocatorException {
+        return (FirewallConfiguration) getInstance().get(FIREWALL_MANAGER_NAME);
+    }
 
+    public static void initializeLibraries() {
+        new DefaultLibrariesInitializer().fullInitialize();
+    }
 
-	/**
-	 * Registers the Class implementing the {@link PackageManager} interface.
-	 *
-	 * @param clazz
-	 *            implementing the {@link PackageManager} interface
-	 */
-	public static void registerPackageManager(Class clazz) {
-		getInstance().register(PACKAGE_MANAGER_NAME,
-				PACKAGE_MANAGER_DESCRIPTION, clazz);
-	}
-	/**
-	 * Registers the default Class implementing the {@link PackageManager} interface.
-	 *
-	 * @param clazz
-	 *            implementing the {@link PackageManager} interface
-	 */
-	public static void registerDefaultPackageManager(Class clazz) {
-		getInstance().registerDefault(PACKAGE_MANAGER_NAME,
-				PACKAGE_MANAGER_DESCRIPTION, clazz);
-	}
+    public static void initializeLibraries(ClassLoader classLoader, boolean ignoreerrors) {
+        new DefaultLibrariesInitializer(classLoader).fullInitialize(ignoreerrors);
+    }
 
-	/**
-	 * Return a reference to {@link PackageManager}.
-	 *
-	 * @return a reference to {@link PackageManager}
-	 * @throws LocatorException
-	 *             if there is no access to the class or the class cannot be
-	 *             instantiated
-	 * @see Locator#get(String)
-	 */
-	public static PackageManager getPackageManager()
-			throws LocatorException {
-		return (PackageManager) getInstance().get(PACKAGE_MANAGER_NAME);
-	}
-
-	/**
-	 * Registers the Class implementing the {@link SimpleIdentityManager} interface.
-	 *
-	 * @param clazz
-	 *            implementing the {@link SimpleIdentityManager} interface
-	 */
-	public static void registerIdentityManager(Class clazz) {
-		getInstance().register(IDENTITY_MANAGER_NAME,
-				IDENTITY_MANAGER_DESCRIPTION, clazz);
-	}
-	/**
-	 * Registers the default Class implementing the {@link SimpleIdentityManager} interface.
-	 *
-	 * @param clazz
-	 *            implementing the {@link SimpleIdentityManager} interface
-	 */
-	public static void registerDefaultIdentityManager(Class clazz) {
-		getInstance().registerDefault(IDENTITY_MANAGER_NAME,
-				IDENTITY_MANAGER_DESCRIPTION, clazz);
-	}
-
-	/**
-	 * Return a reference to {@link SimpleIdentityManager}.
-	 *
-	 * @return a reference to {@link SimpleIdentityManager}
-	 * @throws LocatorException
-	 *             if there is no access to the class or the class cannot be
-	 *             instantiated
-	 * @see Locator#get(String)
-	 */
-	public static SimpleIdentityManager getIdentityManager()
-			throws LocatorException {
-		return (SimpleIdentityManager) getInstance().get(IDENTITY_MANAGER_NAME);
-	}
-
-	/**
-	 * Registers the default Class implementing the FirewallManager interface.
-	 *
-	 * @param clazz
-	 *            implementing the {@link FirewallManager} interface
-	 */
-	public static void registerDefaultFirewallManager(Class clazz) {
-		getInstance().registerDefault(FIREWALL_MANAGER_NAME,
-				FIREWALL_MANAGER_DESCRIPTION, clazz);
-	}
-
-	/**
-	 * Return a reference to {@link FirewallManager}.
-	 *
-	 * @return a reference to {@link FirewallManager}
-	 * @throws LocatorException
-	 *             if there is no access to the class or the class cannot be
-	 *             instantiated
-	 * @see Locator#get(String)
-	 */
-	public static FirewallConfiguration getFirewallManager()
-			throws LocatorException {
-		return (FirewallConfiguration) getInstance().get(FIREWALL_MANAGER_NAME);
-	}
-
-        public static void initializeLibraries() {
-            new DefaultLibrariesInitializer().fullInitialize();
-        }
-
-        public static void initializeLibraries(ClassLoader classLoader,boolean ignoreerrors) {
-            new DefaultLibrariesInitializer(classLoader).fullInitialize(ignoreerrors);
-        }
-
-}
\ No newline at end of file
+}